package org.jeecg.modules.warning.model;

import org.jeecg.modules.warning.entity.ATrack;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class chartTrackTreeModel implements Serializable {
    private static final long serialVersionUID = 1L;

    public chartTrackTreeModel(ATrack track){
        this.id=track.getId();
        this.key=track.getTemplateId()+"-"+track.getId();
        this.title=track.getTitle();
        this.width=track.getWidth();
        this.fix=track.getFix();
        this.formType="track";
    }
    public chartTrackTreeModel(){

    }
    private String id;
    private String key;
    private String title;
    private String width;
    private String fix;
    private String formType;
    private List<chartConfigureModel> children=new ArrayList<>();


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getFix() {
        return fix;
    }

    public void setFix(String fix) {
        this.fix = fix;
    }

    public List<chartConfigureModel> getChildren() {
        return children;
    }

    public void setChildren(List<chartConfigureModel> children) {
        this.children = children;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }
}
